<?xml version="1.0" encoding="utf-8"?>
<layout>

    <data>
        <import type="android.view.View" />

        <variable
            name="doneHandler"
            type="com.cargomatrix.deliveryapp.ui.activity.MainActivity.DoneHandler" />
    </data>

    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:background="@color/bgScanLocation"
        android:orientation="vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="@dimen/title_text_size"
            android:layout_gravity="center_horizontal"
            android:text="@string/scan_info" />

        <SurfaceView
            android:id="@+id/cameraView"
            android:layout_width="171dp"
            android:layout_height="90dp"
            android:layout_margin="@dimen/activity_horizontal_margin" />

        <EditText
            android:id="@+id/barcodeInfo"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/activity_horizontal_margin"
            android:hint="@string/location_hint"
            android:inputType="text" />

        <Button
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:background="@color/colorAccent"
            android:layout_margin="@dimen/activity_horizontal_margin"
            android:text="@string/done_btn"
            android:onClick="@{doneHandler::onClick}"
            tools:ignore="RtlHardcoded" />
    </LinearLayout>

</layout>